# Generated by Django 4.2.11 on 2024-04-21 05:22

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name="CharPrimaryKeyModel",
            fields=[
                (
                    "chr",
                    models.CharField(max_length=20, primary_key=True, serialize=False),
                ),
            ],
        ),
        migrations.CreateModel(
            name="IntPrimaryKeyModel",
            fields=[
                (
                    "num",
                    models.IntegerField(
                        primary_key=True, serialize=False, verbose_name="Number"
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="UUIDPrimaryKeyModel",
            fields=[
                ("uuid", models.UUIDField(primary_key=True, serialize=False)),
            ],
        ),
        migrations.CreateModel(
            name="ModelToTest",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "dynamic_raw_id_fk",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="dynamic_raw_id_fk",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                (
                    "dynamic_raw_id_fk_char_pk",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="dynamic_raw_id_fk_char_pk",
                        to="testapp.charprimarykeymodel",
                    ),
                ),
                (
                    "dynamic_raw_id_fk_int_pk",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="dynamic_raw_id_fk_int_pk",
                        to="testapp.intprimarykeymodel",
                    ),
                ),
                (
                    "dynamic_raw_id_fk_limited",
                    models.ForeignKey(
                        blank=True,
                        limit_choices_to={"is_staff": True},
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="dynamic_raw_id_fk_limited",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                (
                    "dynamic_raw_id_fk_uuid_pk",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="dynamic_raw_id_fk_uuid_pk",
                        to="testapp.uuidprimarykeymodel",
                    ),
                ),
                (
                    "dynamic_raw_id_many",
                    models.ManyToManyField(
                        blank=True,
                        related_name="dynamic_raw_id_many",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                (
                    "rawid_fk",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="rawid_fk",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                (
                    "rawid_fk_limited",
                    models.ForeignKey(
                        blank=True,
                        limit_choices_to={"is_staff": True},
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="rawid_fk_limited",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                (
                    "rawid_many",
                    models.ManyToManyField(
                        blank=True,
                        related_name="rawid_many",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
        ),
    ]
